Subject: Re: linux-next: manual merge of the vfs-brauner tree with the ext4 tree

From: Stephen Rothwell <[email-masked]>
Date: Tue, 17 Sep 2024 08:23:32 +1000

Hi all,

On Wed, 4 Sep 2024 09:15:32 +1000 Stephen Rothwell <[email-masked]> wrote:
>
> Today's linux-next merge of the vfs-brauner tree got conflicts in:
> 
>   fs/ext4/inline.c
>   fs/ext4/inode.c
> 
> between commits:
> 
>   a256c25ef1b1 ("ext4: hoist ext4_block_write_begin and replace the __block_write_begin")
>   64f2355d7f8a ("ext4: fix a potential assertion failure due to improperly dirtied buffer")
> 
> from the ext4 tree and commit:
> 
>   9f04609f74ec ("buffer: Convert __block_write_begin() to take a folio")
> 
> from the vfs-brauner tree.
> 
> I fixed it up (I used the former) and can carry the fix as necessary. This
> is now fixed as far as linux-next is concerned, but any non trivial
> conflicts should be mentioned to your upstream maintainer when your tree
> is submitted for merging.  You may also want to consider cooperating
> with the maintainer of the conflicting tree to minimise any particularly
> complex conflicts.

This is now a conflict between the ext4 tree and Linus' tree.
-- 
Cheers,
Stephen Rothwell